## com.google.gwt.core.client
Class GWTBridge

    java.lang.Object
      com.google.gwt.core.client.GWTBridge

    public abstract class GWTBridge

extends java.lang.Object

When running in hosted mode, acts as a bridge from `GWT` into the hosted mode environment.

Constructor Summary
`GWTBridge()`

Method Summary

`abstract

`<T> T`

`

`create(java.lang.Class<?> classLiteral)`

`abstract java.lang.String` | `getVersion()`
`abstract boolean` | `isClient()`
`abstract void` | `log(java.lang.String message, java.lang.Throwable e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GWTBridge

    public GWTBridge()

Method Detail

### create

    public abstract <T> T create(java.lang.Class<?> classLiteral)

### getVersion

    public abstract java.lang.String getVersion()

### isClient

    public abstract boolean isClient()

### log

    public abstract void log(java.lang.String message,
                             java.lang.Throwable e)